# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(Test.pm) perl(subs.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: /proc
Name:           perl-GTop
Version:        0.18
Release:        alt2_4
Summary:        Perl interface to libgtop
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/GTop/
Source0:        http://www.cpan.org/authors/id/M/MJ/MJH/GTop-%{version}.tar.gz

# core
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
# non-perl
BuildRequires:  libgtop2-devel


Source44: import.info

%description
This is a perl interface to the libgtop library, useful for collecting
real-time performance and other system statistics.


%prep
%setup -q -n GTop-%{version}

# rpmlint pacifications...
find . -type f -exec chmod -c -x {} \;
perl -pi -e 's|^#!perl|#!/usr/bin/perl|' examples/*

# thread funkiness on ppc/s390
%ifarch ppc ppc64 s390
mv t/threads.t t/threads.t.disable
%endif

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README TODO examples/ t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/GTop*
%exclude %{perl_vendorarch}/config.pl

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.18-alt2_4
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.18-alt2_3
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1_3
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1_2
- fc import

